Page MenuHomeVyOS Platform

NTP - Tests fail when building vyos-1x
Closed, ResolvedPublicBUG

Description

NTP - Tests fail when building vyos-1x:

======================================================================
FAIL: test_generate (test_ntp.TestNtp)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/vyos/packages/vyos-1x/src/tests/test_ntp.py", line 240, in test_generate
    self.assertEqual(case['expected'], actual)
nose.proxy.AssertionError: '\n##[345 chars]\n\n#\n# Configurable section\n#\n\n# Server c[510 chars]\n\n' != '\n##[3
Diff is 1027 characters long. Set self.maxDiff to None to see it.
-------------------- >> begin captured stdout << ---------------------

Details

Difficulty level
Easy (less than an hour)
Version
Current branch e44466768233d33aa26cd033fb66d1dbeec207a7
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

vindenesen changed the task status from Open to In progress.Sep 27 2019, 4:57 PM
vindenesen claimed this task.
vindenesen triaged this task as High priority.
vindenesen created this task.
pasik added a subscriber: pasik.Sep 27 2019, 6:43 PM
vindenesen closed this task as Resolved.EditedSep 28 2019, 7:06 PM

It seems like this isn't needed anymore, as the test was deleted: https://phabricator.vyos.net/rVYOSONEX6ac5271e93d06712f6e318d2f6b96280ae16f040

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:01 PM